
description = 'renkan-core'

repositories {
    mavenCentral()
}

ext {
    commons_collections_version = '4.0'
    uuid_generator_version = '3.1.3'
}

dependencies {
    compile group: 'javax.inject', name: 'javax.inject', version:java_inject_version
    compile group: 'commons-codec', name: 'commons-codec', version:commons_codec_version
    compile group: 'org.apache.commons', name: 'commons-collections4', version:commons_collections_version
    compile group: 'com.fasterxml.uuid', name: 'java-uuid-generator', version:uuid_generator_version
    compile group: 'joda-time', name: 'joda-time', version:joda_time_version
    compile group: 'org.springframework', name: 'spring-core', version:spring_version
    compile group: 'org.springframework', name: 'spring-beans', version:spring_version
    compile group: 'org.springframework', name: 'spring-jdbc', version:spring_version
    compile group: 'org.springframework', name: 'spring-context', version:spring_version
    compile group: 'org.springframework.data', name: 'spring-data-commons', version:spring_data_commons_version
    compile group: 'org.springframework.data', name: 'spring-data-jpa', version:spring_data_jpa_version
    compile group: 'org.springframework.data', name: 'spring-data-mongodb', version:spring_data_mongodb_version
    compile group: 'org.springframework.security', name: 'spring-security-core', version:spring_security_version
    compile group: 'javax.persistence', name: 'persistence-api', version:persistence_api_version
    compile group: 'com.fasterxml.jackson.core', name: 'jackson-core', version:jackson_version
    compile group: 'com.fasterxml.jackson.core', name: 'jackson-databind', version:jackson_version
    compile group: 'com.fasterxml.jackson.core', name: 'jackson-annotations', version:jackson_version
    compile group: 'com.fasterxml.jackson.jaxrs', name: 'jackson-jaxrs-json-provider', version:jackson_version
    compile group: 'com.fasterxml.jackson.datatype', name: 'jackson-datatype-joda', version:jackson_version
    compile group: 'org.mongodb', name: 'mongo-java-driver', version:mongo_java_driver_version
    testCompile group: 'org.springframework', name: 'spring-test', version:spring_version
    testRuntime group: 'org.slf4j', name: 'slf4j-log4j12', version:slf4j_log4j12_version
}
